proxies:
- name: "vless-out"
  type: vless
  server: 127.0.0.1
  port: 4430
  dialer-proxy: mieru-out
  uuid: base64password
  udp: true
  packet-encoding: xudp
  tls: false
  network: grpc
  grpc-opts:
    grpc-service-name: graphql

- name: "mieru-out"
  type: mieru
  server: fr2.firefly-service.net
  port-range: "2084-2086"
  transport: UDP
  udp: true
  username: firefly
  password: NoFirewall
  multiplexing: MULTIPLEXING_HIGH
  # handshake-mode: HANDSHAKE_NO_WAIT

proxy-groups:
- name: PROXY
  type: select
  proxies:
    - vless-out

rules:
- GEOSITE,category-ir,DIRECT
- GEOIP,private,DIRECT
- MATCH,PROXY

dns:
  enable: true
  default-nameserver:
    - 1.1.1.2
    - 1.0.0.2
  nameserver:
    - 1.1.1.2
    - 1.0.0.2
  proxy-server-nameserver:
    - system
  direct-nameserver:
    - system